package main

import (
	"os"

	"go.wit.com/log"
)

// print the protobuf in human form
func doIdentify(filename string) error {
	data, err := os.ReadFile(filename)
	if err != nil {
		// log.Info("open config file :", err)
		return err
	}

	var pb *Identify
	pb = new(Identify)
	if err := pb.Unmarshal(data); err != nil {
		return err
	}
	log.Info("Identify protobuf file uuid =", pb.Uuid, "version =", pb.Version)
	return nil
}
